Package tigase.conf

## Class ConfigReader

- java.lang.Object
- - tigase.conf.ConfigReader

-     public class ConfigReader
      extends java.lang.Object

  Created by andrzej on 05.06.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ConfigReader.AbstractEnvironmentPropertyVariable` |
    `static class` | `ConfigReader.CompositeVariable` |
    `static class` | `ConfigReader.ConfigException` |
    `static class` | `ConfigReader.EnvironmentVariable` |
    `static class` | `ConfigReader.InvalidFormatException` |
    `static class` | `ConfigReader.PropertyVariable` |
    `static class` | `ConfigReader.State` |
    `class` | `ConfigReader.StateHolder` |
    `static class` | `ConfigReader.UnsupportedOperationException` |
    `static interface` | `ConfigReader.Variable` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigReader()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `decodeValue​(java.lang.String string_in)` |
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `flatTree​(java.util.Map<java.lang.String,​java.lang.Object> props)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `read​(java.io.File f)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `read​(java.io.Reader reader)` |
    `protected void` | `setBeanDefinitionValue​(java.lang.Object val)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigReader

          public ConfigReader()

  - ### Method Detail

    - #### flatTree

          public static java.util.Map<java.lang.String,​java.lang.Object> flatTree​(java.util.Map<java.lang.String,​java.lang.Object> props)

    - #### read

          public java.util.Map<java.lang.String,​java.lang.Object> read​(java.io.Reader reader)
                                                                      throws java.io.IOException,
                                                                             ConfigReader.ConfigException

      Throws:
        `java.io.IOException`
        `ConfigReader.ConfigException`

    - #### read

          public java.util.Map<java.lang.String,​java.lang.Object> read​(java.io.File f)
                                                                      throws java.io.IOException,
                                                                             ConfigReader.ConfigException

      Throws:
        `java.io.IOException`
        `ConfigReader.ConfigException`

    - #### decodeValue

          protected java.lang.Object decodeValue​(java.lang.String string_in)

    - #### setBeanDefinitionValue

          protected void setBeanDefinitionValue​(java.lang.Object val)